Python
import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"),
)
category = client.organizations.categories.assets(
category_id="7c9e6679-7425-40de-944b-e07fc1f90ae7",
)
print(category)import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
environment: 'production',
});
const category = await client.organizations.categories.assets('7c9e6679-7425-40de-944b-e07fc1f90ae7');
console.log(category);use profound::*;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = ProfoundClient::builder()
.api_key(std::env::var("PROFOUND_API_KEY")?)
.build()?;
let response = client
.organizations()
.categories()
.assets("7c9e6679-7425-40de-944b-e07fc1f90ae7")
.send()
.await?;
println!("{:?}", response);
Ok(())
}curl --request GET \
--url https://api.tryprofound.com/v1/org/categories/{category_id}/assets \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.tryprofound.com/v1/org/categories/{category_id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"website": "<string>",
"is_owned": true,
"created_at": "2023-11-07T05:31:56Z",
"logo_url": "<string>",
"alternate_domains": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Categories
Get Category Assets
GET
/
v1
/
org
/
categories
/
{category_id}
/
assets
Python
import os
from profound import Profound
client = Profound(
api_key=os.environ.get("PROFOUND_API_KEY"),
)
category = client.organizations.categories.assets(
category_id="7c9e6679-7425-40de-944b-e07fc1f90ae7",
)
print(category)import Profound from '@profoundai/client';
const client = new Profound({
apiKey: process.env['PROFOUND_API_KEY'], // defaults to the PROFOUND_API_KEY env var
environment: 'production',
});
const category = await client.organizations.categories.assets('7c9e6679-7425-40de-944b-e07fc1f90ae7');
console.log(category);use profound::*;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = ProfoundClient::builder()
.api_key(std::env::var("PROFOUND_API_KEY")?)
.build()?;
let response = client
.organizations()
.categories()
.assets("7c9e6679-7425-40de-944b-e07fc1f90ae7")
.send()
.await?;
println!("{:?}", response);
Ok(())
}Authorizations
APIKeyHeaderBearerAuth
Path Parameters
Was this page helpful?